
//Wires
exec($LuaLogic::Path @ "bricks/wires.cs");

//Gates
exec($LuaLogic::Path @ "bricks/gates/diode.cs");
exec($LuaLogic::Path @ "bricks/gates/NOT.cs");
exec($LuaLogic::Path @ "bricks/gates/OR.cs");
exec($LuaLogic::Path @ "bricks/gates/AND.cs");
exec($LuaLogic::Path @ "bricks/gates/NOR.cs");
exec($LuaLogic::Path @ "bricks/gates/NAND.cs");
exec($LuaLogic::Path @ "bricks/gates/XOR.cs");
exec($LuaLogic::Path @ "bricks/gates/XNOR.cs");
exec($LuaLogic::Path @ "bricks/gates/verticalDiode.cs");
exec($LuaLogic::Path @ "bricks/gates/verticalNOT.cs");

//Inputs
exec($LuaLogic::Path @ "bricks/inputs/switch.cs");
exec($LuaLogic::Path @ "bricks/inputs/keyboard.cs");

//Outputs
exec($LuaLogic::Path @ "bricks/outputs/pixel.cs");
exec($LuaLogic::Path @ "bricks/outputs/HorizontalPixel.cs");
exec($LuaLogic::Path @ "bricks/outputs/TextBrick.cs");

//Math
exec($LuaLogic::Path @ "bricks/math/HalfAdder.cs");
exec($LuaLogic::Path @ "bricks/math/HalfSubtractor.cs");
exec($LuaLogic::Path @ "bricks/math/FullAdder.cs");
exec($LuaLogic::Path @ "bricks/math/FullSubtractor.cs");
exec($LuaLogic::Path @ "bricks/math/8bitAdder.cs");
exec($LuaLogic::Path @ "bricks/math/8bitSubtractor.cs");
exec($LuaLogic::Path @ "bricks/math/8bitMultiplier.cs");
exec($LuaLogic::Path @ "bricks/math/8bitDivider.cs");

//Bus
exec($LuaLogic::Path @ "bricks/bus/8BitEnabler.cs");
exec($LuaLogic::Path @ "bricks/bus/8BitDFlipFlop.cs");

//Memory
exec($LuaLogic::Path @ "bricks/memory/DFlipFlop.cs");
exec($LuaLogic::Path @ "bricks/memory/DFlipflopGridMemory2.cs");

//Special
exec($LuaLogic::Path @ "bricks/special/EventGate.cs");